Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
devsettings::Modbus::Settings Struct Reference

Modbus service settings More...

## Public Attributes
TcpSettings | tcp
| Modbus/TCP settings
SerialSettings | serial
| Modbus/serial settings
int | primaryUnitId
| Main unit ID, 0 to disable.

## Detailed Description

Modbus service settings

Definition at line 51 of file Modbus.idl.

## Member Data Documentation

## ◆ primaryUnitId

int devsettings::Modbus::Settings::primaryUnitId

Main unit ID, 0 to disable.

Note
  Models that act as a simple Modbus device will ignore this setting for TCP connections and respond to all unit IDs.

Definition at line 54 of file Modbus.idl.

## ◆ serial

SerialSettings devsettings::Modbus::Settings::serial

Modbus/serial settings

Definition at line 53 of file Modbus.idl.

## ◆ tcp

TcpSettings devsettings::Modbus::Settings::tcp

Modbus/TCP settings

Definition at line 52 of file Modbus.idl.

The documentation for this struct was generated from the following file:

- Modbus.idl